View all methods

workflowRuns.postMessage

Create a message event for a Workflow Run.

Facts

Method POST https://api.getdx.com/workflowRuns.postMessage
Required scope workflowRuns:writeEvents

Arguments

Required arguments

Name Type Description
token Token Auth token passed as an HTTP header.
workflow_run_id Text The unique ID of the Workflow Run.
message Text The message to post.

Example request

This is a typical request:

curl -X POST https://api.getdx.com/workflowRuns.postMessage \
  -H 'Accepts: application/json' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx' \
  --data '{
    "workflow_run_id": "4vyq52b7b4a4",
    "message": "Hello, world!"
  }'

Example response

This is a typical success response:

{
  "ok": true,
  "event": {
    "id": "sbsa2t3wvs6a",
    "workflow_run_id": "4vyq52b7b4a4",
    "type": "POST_MESSAGE",
    "message": "Hello, world!",
    "occurred_at": "2025-07-28T17:23:28.491Z",
    "data": {}
  }
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.
e>